Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.filter
Class GrailsReloadServletFilter

    java.lang.Object
      org.springframework.web.filter.GenericFilterBean
          org.springframework.web.filter.OncePerRequestFilter
              org.codehaus.groovy.grails.web.servlet.filter.GrailsReloadServletFilter

All Implemented Interfaces:
  Filter, BeanNameAware, DisposableBean, InitializingBean, ServletContextAware

    public class GrailsReloadServletFilter

extends OncePerRequestFilter

A servlet filter that copies resources from the source on content change and manages reloading if necessary

Since:
  Jan 10, 2006
Author:
  Graeme Rocher

Field Summary
`static org.apache.commons.logging.Log` | `LOG`

Fields inherited from class org.springframework.web.filter.OncePerRequestFilter
`ALREADY_FILTERED_SUFFIX`

Fields inherited from class org.springframework.web.filter.GenericFilterBean
`logger`

Constructor Summary
`GrailsReloadServletFilter()`

Method Summary
`protected Writer` | `createResponseWriter(HttpServletResponse response)`
`protected void` | `doFilterInternal(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, FilterChain filterChain)`
`protected void` | `initFilterBean()`

Methods inherited from class org.springframework.web.filter.OncePerRequestFilter
`doFilter, getAlreadyFilteredAttributeName, shouldNotFilter`

Methods inherited from class org.springframework.web.filter.GenericFilterBean
`addRequiredProperty, afterPropertiesSet, destroy, getFilterConfig, getFilterName, getServletContext, init, initBeanWrapper, setBeanName, setServletContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    public static final org.apache.commons.logging.Log LOG

Constructor Detail

### GrailsReloadServletFilter

    public GrailsReloadServletFilter()

Method Detail

### initFilterBean

    protected void initFilterBean()
                           throws ServletException

  Overrides:
    `initFilterBean` in class `GenericFilterBean`
  Throws:
    `ServletException`

### doFilterInternal

    protected void doFilterInternal(HttpServletRequest httpServletRequest,
                                    HttpServletResponse httpServletResponse,
                                    FilterChain filterChain)
                             throws ServletException,
                                    IOException

  Specified by:
    `doFilterInternal` in class `OncePerRequestFilter`
  Throws:
    `ServletException`
    `IOException`

### createResponseWriter

    protected Writer createResponseWriter(HttpServletResponse response)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project